petsc-3.4.2 2013-07-02

# VecPointwiseMult

Computes the componentwise multiplication w = x*y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecPointwiseMult(Vec w, Vec x,Vec y)

Logically Collective on Vec

### Input Parameters

x, y -the vectors

### Output Parameter

w -the result

Notes: any subset of the x, y, and w may be the same vector.

### See Also

VecPointwiseDivide(), VecPointwiseMax(), VecPointwiseMin(), VecPointwiseMaxAbs(), VecMaxPointwiseDivide()

Level:advanced
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/vec/vec/examples/tutorials/ex20f90.F90.html
src/dm/examples/tutorials/ex65dm.c.html
src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex15f.F.html
src/snes/examples/tutorials/ex54.c.html
src/snes/examples/tutorials/ex60.c.html
src/snes/examples/tutorials/ex61.c.html
src/snes/examples/tutorials/ex63.c.html